<!--/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ Copyright 2023 Adobe
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~     http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/-->
<ul data-sly-use.list="com.adobe.training.core.models.ExtendedListModel"
    data-sly-use.template="core/wcm/components/commons/v1/templates.html"
    data-sly-use.itemTemplate="item.html"
    data-sly-use.teaserTemplate="teaser.html"
    data-sly-list.item="${list.customItemList}"
    id="${list.id}"
    data-cmp-data-layer="${list.data.json}"
    class="cmp-list">
    
    <li data-sly-test="${!list.displayItemAsTeaser}"
        class="cmp-list__item" data-sly-call="${itemTemplate.item @ list = list, item = item}"
        data-cmp-data-layer="${item.data.json}"></li>
    <li data-sly-test="${list.displayItemAsTeaser && item.teaserResource}"
        class="cmp-list__item" data-sly-call="${teaserTemplate.teaser @ item = item}"
        data-cmp-data-layer="${item.data.json}"></li>
</ul>
<sly data-sly-call="${template.placeholder @ isEmpty=list.customItemList.size == 0, classAppend='cmp-list'}"></sly>
